'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2007
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Namespace DotNetNuke.Modules.DynamicForms
    Public Class ItemType

        Private _ItemName As String
        Private _ItemTypeName As String
        Private _ItemValue As String
        Private _LargeText As Boolean = False
        Private _RecordID As Integer
        Private _FormID As Integer

        ' initialization
        Public Sub New()
        End Sub

        ' public properties
        Public Property ItemName() As String
            Get
                Return _ItemName
            End Get
            Set(ByVal Value As String)
                _ItemName = Value
            End Set
        End Property

        Public Property ItemTypeName() As String
            Get
                Return _ItemTypeName
            End Get
            Set(ByVal Value As String)
                _ItemTypeName = Value
            End Set
        End Property

        Public Property ItemValue() As String
            Get
                Return _ItemValue
            End Get
            Set(ByVal Value As String)
                _ItemValue = Value
            End Set
        End Property

        Public Property LargeText() As Boolean
            Get
                Return _LargeText
            End Get
            Set(ByVal Value As Boolean)
                _LargeText = Value
            End Set
        End Property
        Public Property RecordID() As Integer
            Get
                Return _RecordID
            End Get
            Set(ByVal Value As Integer)
                _RecordID = Value
            End Set
        End Property

        Public Property FormID() As Integer
            Get
                Return _FormID
            End Get
            Set(ByVal Value As Integer)
                _FormID = Value
            End Set
        End Property
    End Class
End Namespace

